nautilus-gksu fails to work, needs a re-build to install libnautilus-gksu.so to /usr/lib/nautilus/extensions-3.0

Bug #817383 reported by Doug McMahon on 2011-07-28
146
This bug affects 31 people
Affects Status Importance Assigned to Milestone
gksu (Ubuntu)
Undecided
Unassigned

Bug Description

nautilus-gksu fails to work in 11.10
A quick test rebuild installing the .so to /usr/lib/nautilus/extensions-3.0/ does allow it to work - see no ill effects in a short test span

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gksu 2.0.2-5ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-7.8-generic 3.0.0
Uname: Linux 3.0.0-7-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Thu Jul 28 04:20:23 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110724)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gksu
UpgradeStatus: No upgrade log present (probably fresh install)

Doug McMahon (mc3man) wrote :
description: updated
Changed in gksu (Ubuntu):
status: New → Confirmed
Doug McMahon (mc3man) wrote :

Was reminded of this due to another ext., just hoping this doesn't fall thru the cracks (& likely just needs a simple rebuild

Doug McMahon (mc3man) wrote :

As it's getting late - if not fixed & one what's nautilus-gksu to work then simply
sudo cp /usr/lib/nautilus/extensions-2.0/libnautilus-gksu.so /usr/lib/nautilus/extensions-3.0/

summary: - nautilus-gksu fails to work, could be re-built
+ nautilus-gksu fails to work, needs a re-build to install libnautilus-
+ gksu.so to /usr/lib/nautilus/extensions-3.0
Gary M (garym) on 2011-09-26
tags: added: regression-release

Fix works... thanks Doug.

Is a rebuild unde rway?

Sam_ (and-sam) wrote :

Bug #859104 describes the extensions issue.

Doug McMahon (mc3man) wrote :

Don't quite see what the connection is to the python issue other than it depends on libnautilus-extension1
 nautilus-gksu works fine once the .so is where it's expected to be - in /usr/lib/nautilus/extensions-3.0
I've been using it for 4+ months in 11.10 with no issue

David Southwood (ds-mailbag) wrote :

On amd64 bit system copying nautilus-gksu to /usr/lib/nautilus/extensions-3.0 does indeed produce the entry in the context menu, but although the pop-up window asks for authorisation nothing else happens.

Mike Pelley (mikepelley) wrote :

On my Intel 64-bit system, the copy did work (got context menu, then pop-up and finally root access).

Am also affected, nautilus-gksu doesn't work.

Doug McMahon (mc3man) wrote :

I wish to point out this bug & comment by Matthias Clasen
https://bugzilla.gnome.org/show_bug.cgi?id=654184

If it's been decided that using a root file browser is no longer advised & this extension falls under that then this bug should be marked "won't fix"
In that case the package should also be removed, no sense providing a non-working, ill-advised package.

So either fix it if appropriate or get rid of it.

Oh, fine. It's been decided. Who has decided this? Sorry, but I think that the user should choose what he needs or what he finds useful. This extension isn't installed by default, so knowing it and installing it is an explicit choice.

The fix is easy, so removing this is like shooting sparrows with rockets.

Doug McMahon (mc3man) wrote :

Thorsten -
northing's been decided in ubuntu as far as I see, I'm hoping this will be addressed. one way or the other, -it has been 3 months.

I fully agree with Thorsten - people who don't know about this feature and its potential dangerousity will not be concerned at all as this feature is unavailable by default with the current build. On the other side, people who were using this feature are probably knowledgeable enough to know what they are doing; and they will be looking for a way to fix and re-enable it. Most likely they will end up reading this thread...
On my side, I find it more convenient than manipulating files via the terminal or logging as root (potentially even more dangerous) !

Doug McMahon (mc3man) wrote :

Another option to make this work in lieu of a new build would be to just link instead of copy, thought I'd mention

sudo ln -s /usr/lib/nautilus/extensions-2.0/libnautilus-gksu.so /usr/lib/nautilus/extensions-3.0/libnautilus-gksu.so

Doug McMahon (mc3man) wrote :

I think this may be the answer to this bug, whether there will be a 'replacement' I have no idea. One can likely keep the previous 'alive' for awhile

gksu (2.0.2-6ubuntu1) precise; urgency=low

  * Merge from Debian Testing. Remaining changes:
    - debian/patches/01_desktop_in.patch: don't display root-terminal
      menu entry.
    - debian/patches/50_always_ask.patch: added new '--always-ask-pass'
      commandline switch. This was renamed from 02_always_ask.patch.
  * Patches dropped:
    - debian/patches/21_strip_blank_space.patch: No longer needed since we
      don't build nautilus-gksu anymore.

Doug McMahon (mc3man) wrote :

Note that I don't have the auth to mark "Won't Fix", someone should & be done with this...

Jeremy Bicha (jbicha) wrote :

Closing since the gksu people won't be porting this to GNOME 3 and the Nautilus developers don't encourage running Nautilus as root.

Changed in gksu (Ubuntu):
status: Confirmed → Won't Fix
Peter Lehoczký (betatester07) wrote :

ok, this is wont fix, although I fully agree with #13 and I dont understand, why remove this extension....
BUT, why it is in Ubuntu official repositories, if it is not working and is not going to be working anymore??

Jeremy Bicha (jbicha) wrote :

Peter, nautilus-gksu is no longer in Ubuntu as of the next release, 12.04 "Precise Pangolin"

https://launchpad.net/ubuntu/+source/gksu/2.0.2-6ubuntu1

DP (dabba-drew) wrote :

    You actually don't even need to install the package, just place a copy of libnautilus-gksu.so in /usr/lib/nautilus/extensions-3.0

I found the [libnautilus-gksu.so](http://www.ivegotavirus.com/blog/wp-content/uploads/libaryFiles/libnautilus-gksu.so) file [here](http://www.ivegotavirus.com/blog/2011/11/22/add-open-in-terminal-and-open-as-administrator-to-right-click-menu-ubuntu/)

on 12 Precise there is no nautilus2.0 folder so the copy or link to commands wont work because the file is not there ....you must manually download and put in .... /usr/lib/nautilus/extensions-3.0/

Ok, thanks for this comment and the download link.
So, in other words, does this mean that just dowloading the current build of this library and put it inside /usr/lib/nautilus/extensions-3.0 would still work with 12.04 ? No need to recompile the sources ?
Oddly enough, the libnautilus-gksu.so presently installed by Synaptic is dated feb 23rd 2011...meaning it has not changed since Ubuntu 10.10 (or am I wrong?).

Some clear words: DB (and all others), this is the wrongest way. If you wan't to use that file, download the package from packages.ubuntu.com and extract the file you need. Downloading a not verified file frome somewhere isn't the right way. no one can be sure what that file is and what it does. This is really a bad "Windows-like-solution".

Doug McMahon (mc3man) wrote :

This bug is dead & buried -
I'd suggest that users wanting this to use Dr. Osman's ppa - it's well done, activly supported & uses nautilus python extensions instead
https://launchpad.net/~nae-team/+archive/ppa
or the 'daily'
https://launchpad.net/~nae-team/+archive/daily

NoOp (glgxg) wrote :

I agree with Thorsten. However you don't need to do that; in Precise 12.04 - gksu nautilus works for me. And no, I didn't try any of the workarounds mentioned in this bug report.

$ locate libnautilus-gksu.so

is nowhere to be found.

:/usr/lib/nautilus$ ls -al
total 60
drwxr-xr-x 3 root root 4096 Apr 9 16:09 .
drwxr-xr-x 197 root root 36864 Apr 14 10:57 ..
drwxr-xr-x 2 root root 4096 Apr 14 11:10 extensions-3.0
-rwxr-xr-x 1 root root 13996 Apr 5 08:52 nautilus-convert-metadata

gksu-polkit is not installed.

Interesting twist: when nautilus-open-terminal is installed the results of 'gksu nautilus' use that extension:
$ gksu nautilus
Initializing nautilus-open-terminal extension
Shutting down nautilus-open-terminal extension

$ ls -al /usr/lib/nautilus/extensions-3.0
total 552
drwxr-xr-x 2 root root 4096 Apr 14 11:29 .
drwxr-xr-x 3 root root 4096 Apr 9 16:09 ..
-rw-r--r-- 1 root root 34636 Apr 10 18:49 libdeja-dup.so
-rw-r--r-- 1 root root 13592 Mar 26 18:32 libevince-properties-page.so
-rw-r--r-- 1 root root 26240 Dec 10 06:15 libnautilus-actions-menu.so
-rw-r--r-- 1 root root 17964 Dec 10 06:15 libnautilus-actions-tracker.so
-rw-r--r-- 1 root root 34808 Apr 10 16:53 libnautilus-brasero-extension.so
-rw-r--r-- 1 root root 13780 Mar 26 18:23 libnautilus-fileroller.so
-rw-r--r-- 1 root root 17996 Dec 10 07:08 libnautilus-open-terminal.so
-rw-r--r-- 1 root root 9636 Apr 5 08:52 libnautilus-sendto.so
-rw-r--r-- 1 root root 42872 Dec 12 00:26 libnautilus-share.so
-rw-r--r-- 1 root root 63872 Apr 11 12:16 libnautilus-ubuntuone.so
-rw-r--r-- 1 root root 42252 Jan 8 19:24 libnautilus-wipe.so
-rw-r--r-- 1 root root 210196 Mar 29 00:13 libtotem-properties-page.so

when 'nautilus-open-terminal extension' not installed 'gksu nautilus' runs & works as usual.

Doug McMahon (mc3man) wrote :

NoOp - this over & done bug & what people are talking about is the gksu-nautilus extension (Open as Administrator), not the gksu nautilus command which is quite functional

Doug McMahon (mc3man) wrote :

Make that nautilus-gksu extension... ^

NoOp (glgxg) wrote : [Bug 817383]

On 04/14/2012 12:50 PM, Doug McMahon wrote:
> NoOp - this over & done bug & what people are talking about is the
> gksu-nautilus extension (Open as Administrator), not the gksu nautilus
> command which is quite functional
>

Ah. Got it my apologies & sorry for the noise.

I do acknowledge that this bug is dead and burried since the Ubuntu team as decided to drop this handy feature for some unclear and unjustified reason...still no one answered my question.
Will the libnautilus-gksu.so presently dated feb 23rd 2011 work with Ubuntu 12-04 by simply copying the lib to the proper folder?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.